"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@oclif/core");
const endpoints_1 = require("../../endpoints");
class Help extends core_1.Command {
    async run() {
        console.log("Please use the values provided below for the type and authType you want to give the plugin.");
        console.log("-- PLUGIN TYPES --");
        console.log(endpoints_1.PluginTypeEnum);
        console.log("-- AUTH TYPES --");
        console.log(endpoints_1.PluginAuthenticationTypeEnum);
    }
}
exports.default = Help;
Help.description = "Get help on how to create a plugin.";
Help.examples = [
    "<%= config.bin %> <%= command.id %>"
];
